Main Page Data Structures File List Data Fields Globals Related Pages

# tagIfMib Struct Reference

`#include <TCPIPAPI.H>`

## Data Fields
long | ifIndex
char | ifDescr [32]
long | ifType
long | ifMtu
unsigned long | ifSpeed
unsigned char | ifPhysAddress [11]
unsigned char | PhysAddrLen
long | ifAdminStatus
long | ifOperStatus
unsigned long | devLastChange
unsigned long | devInOctets
unsigned long | devInUcastPkts
unsigned long | devInMulticastPkts
unsigned long | devInBroadcastPkts
unsigned long | devInDiscards
unsigned long | devInErrors
unsigned long | devInUnknownProtos
unsigned long | devOutOctets
unsigned long | devOutUcastPkts
unsigned long | devOutMulticastPkts
unsigned long | devOutBroadcastPkts
unsigned long | devOutDiscards
unsigned long | devOutErrors
unsigned long | devOutQLen

## Field Documentation

unsigned long tagIfMib::devInBroadcastPkts

| Definition at line 391 of file TCPIPAPI.H.

unsigned long tagIfMib::devInDiscards

| Definition at line 392 of file TCPIPAPI.H.

unsigned long tagIfMib::devInErrors

| Definition at line 393 of file TCPIPAPI.H.

unsigned long tagIfMib::devInMulticastPkts

| Definition at line 390 of file TCPIPAPI.H.

unsigned long tagIfMib::devInOctets

| Definition at line 388 of file TCPIPAPI.H.

unsigned long tagIfMib::devInUcastPkts

| Definition at line 389 of file TCPIPAPI.H.

unsigned long tagIfMib::devInUnknownProtos

| Definition at line 394 of file TCPIPAPI.H.

unsigned long tagIfMib::devLastChange

| Definition at line 387 of file TCPIPAPI.H.

unsigned long tagIfMib::devOutBroadcastPkts

| Definition at line 398 of file TCPIPAPI.H.

unsigned long tagIfMib::devOutDiscards

| Definition at line 399 of file TCPIPAPI.H.

unsigned long tagIfMib::devOutErrors

| Definition at line 400 of file TCPIPAPI.H.

unsigned long tagIfMib::devOutMulticastPkts

| Definition at line 397 of file TCPIPAPI.H.

unsigned long tagIfMib::devOutOctets

| Definition at line 395 of file TCPIPAPI.H.

unsigned long tagIfMib::devOutQLen

| Definition at line 401 of file TCPIPAPI.H.

unsigned long tagIfMib::devOutUcastPkts

| Definition at line 396 of file TCPIPAPI.H.

long tagIfMib::ifAdminStatus

| Definition at line 384 of file TCPIPAPI.H.

char tagIfMib::ifDescr[32]

| Definition at line 378 of file TCPIPAPI.H.

long tagIfMib::ifIndex

| Definition at line 377 of file TCPIPAPI.H.

long tagIfMib::ifMtu

| Definition at line 380 of file TCPIPAPI.H.

long tagIfMib::ifOperStatus

| Definition at line 385 of file TCPIPAPI.H.

unsigned char tagIfMib::ifPhysAddress[11]

| Definition at line 382 of file TCPIPAPI.H.

unsigned long tagIfMib::ifSpeed

| Definition at line 381 of file TCPIPAPI.H.

long tagIfMib::ifType

| Definition at line 379 of file TCPIPAPI.H.

unsigned char tagIfMib::PhysAddrLen

| Definition at line 383 of file TCPIPAPI.H.

The documentation for this struct was generated from the following file:

- clib/TCPIPAPI.H